# CGIOPTIONS.CFG

Section: File Formats (5)
Updated: Version 4.3.11: 21 Apr 2013
Index Return to Main Contents

## NAME

cgioptions.cfg - Command-line parameters for the Xymon CGI tools

## SYNOPSIS

$XYMONHOME/etc/cgioptions.cfg

## DESCRIPTION

cgioptions.cfg(1) controls the command-line options passed to all of the Xymon CGI tools through their respective shell-script wrappers. Typically the options listed here are used for system-wide configuration of the CGI utilities, e.g. to define where they read configuration files.

The exact set of command-line options available are described in the man-page for each of the CGI utilities.

The file is "sourced" into the shell script wrapper, so assignments to the CGI-specific variables must follow standard shell-script syntax.

## SETTINGS

CGI_ACKINFO_OPTS
  Options for the ackinfo.cgi(1) utility.

CGI_ACK_OPTS
  Options for the acknowledge.cgi(1) utility.

CGI_CSVINFO_OPTS
  Options for the csvinfo.cgi(1) utility.

CGI_DATEPAGE_OPTS
  Options for the datepage.cgi(1) utility.

CGI_ENADIS_OPTS
  Options for the enadis.cgi(8) utility.

CGI_EVENTLOG_OPTS
  Options for the eventlog.cgi(1) utility.

CGI_FINDHOST_OPTS
  Options for the findhost.cgi(1) utility.

CGI_HIST_OPTS
  Options for the history.cgi(1) utility.

CGI_COLUMNDOC_OPTS
  Xymon-specific options for column documentation. This uses the csvinfo.cgi(1) utility with the server/etc/columndoc.cfg configuration file.

CGI_CONFREPORT_OPTS
  Options for the confreport.cgi(1) utility.

CGI_SHOWGRAPH_OPTS
  Options for the showgraph.cgi(1) utility.

CGI_HOSTGRAPHS_OPTS
  Options for the hostgraphs.cgi(1) utility.

CGI_CRITEDIT_OPTS
  Options for the criticaleditor.cgi(1) utility.

CGI_CRITVIEW_OPTS
  Options for the criticalview.cgi(1) utility.

CGI_REPLOG_OPTS
  Options for the reportlog.cgi(1) utility.

CGI_REP_OPTS
  Options for the report.cgi(1) utility.

CGI_SNAPSHOT_OPTS
  Options for the snapshot.cgi(1) utility.

CGI_SVCHIST_OPTS
  Options for the svcstatus.cgi(1) utility when used to view historical logs. Note that the "--historical" option must be included in this setting.

CGI_SVC_OPTS
  Options for the svcstatus.cgi(1) utility.

## SEE ALSO

xymon(7), the individual CGI utility man-pages.

## Index

NAME
SYNOPSIS
DESCRIPTION
SETTINGS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 10:54:41 GMT, April 21, 2013